*{
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: 'Open Sans', sans-serif;
    list-style: none;
    text-decoration: none;
}

:root {
    --color-primary: rgb(240, 201, 101);
    --color-white: rgb(255, 255, 255);
    --color-black: rbg(0, 0, 0);
}

header {
    position: fixed;
    width: 100%;
    top: 0;
    right: 0;
    z-index: 1000;
    display: flex;
    align-items: center;
    justify-content: space-between;
    padding: 16px 8%;
}

.logo img {
    width: 140px;
    height: auto;
    opacity: 0.75;
}

.navbar {
    display: flex;
}

.navbar a{
    font-size: 14px;
    font-weight: 600;
    color: var(--color-primary);
    text-transform: uppercase;
    padding: 5px 5px;
    border-bottom: 2px solid rgb(187, 185, 185);
    margin: 0 20px;
    transition: .40s;
}

.navbar a:hover{
    border-bottom: 2px solid var(--color-primary);
    color: rgb(243, 244, 246);
}

#menu-icon {
    font-size: 30px;
    color: var(--color-white);
    z-index: 10001;
    cursor: pointer;
    display: none;
}

.order-btn{
    display: inline-block;
    font-size: 16px;
    text-transform: uppercase;
    letter-spacing: 1px;
    font-weight: 500;
    border: 2px solid var(--color-primary);
    padding: 10px 30px;
    border-radius: 50px;
    background-color: var(--color-black);
    color: #fff;
    transition: .40s
}

.order-btn:hover{
    background-color: transparent;
    color: var(--color-white);
}

section {
    padding: 0 12%;
}

.main {
    width: 100%;
    height: 100vh;
    background-image: url(image/boots.jpg);
    background-position: center;
    background-size: cover;
    position: relative;
    display: grid;
    grid-template-columns: repeat(1, 1fr);
    align-items: center;
}

/* grid-template-columns: 1fr
we want that column to stretch to grab the entire space available to it
We don't know how much space that is, so 1fr adjust to the screen size */

.main-text {
    font-size: 20px;
    text-transform: uppercase;
    letter-spacing: 1.5px;
    font-weight: 500;
    margin-bottom: 15px;
}

.main-text h1 {
    font-size: 50px;
    color: rgb(249, 240, 216);
    text-transform: capitalize;
    font-weight: 600;
    letter-spacing: -2px;
    margin-bottom: 12px;
}

.main-text h4{
    color: var(--color-primary);
}

.main-text p {
    color: var(--color-white);
    font-weight: 400;
    font-size: 18px;
    text-transform: capitalize;
    max-width: 520px;
    line-height: 28px;
    margin-bottom: 30px;
}

.btn {
    color: var(--color-white);
    font-size: 16px;
    text-transform: uppercase;
    font-weight: 600;
    border: 2px solid var(--color-primary);
    border-radius: 50px;
    padding: 10px 20px;
    transition: .40s;
}

.btn:hover{
    color: #fff;
    background-color: var(--color-black);
}

.order-btn:hover,
.seeMore-btn:hover {
    background-color: var(--color-primary);
}

.icon {
    position: absolute;
    top: 50%;
    padding: 0 5%;
    right: 10px;
    transform: translateY(-50%);
}

.icon i{
    display: block;
    margin: 28px 0;
    font-size: 25px;
    color: var(--color-white);
    transition: .40s;
}

.icon i:hover{
    transform: translateY(-30%);
    color: var(--color-primary);
}


/* Media Queries */

/* Around 900 pixels screen width we want to apply a menu off to the side with our icons
So at 900 and below this will apply
For this we will use a max-width

Max-width
The property will be applied starting from the 0 pixel all the way to that max-width we have specified
	It can not go above that max-width

Min-width
The opposite of max-width
Specifies a minimum width that the property will be applied and from that point onwards, the property will be applied */

@media(max-width: 1002px){
    header{
        padding: 26px 3%;
        transition: .3s;
    }
}

@media(max-width: 860px){
    .main-text h4{
        font-size: 18px;
        transition: .3s;
    }
    .main-text h1{
        font-size: 40px;
        transition: .3s;
    }
    .main-text p{
        font-size: 16px;
        transition: .3s;
    }
    .btn{
        padding: 10px 16px;
        transition: .3s;
    }
}

@media(max-width: 950px){
    #menu-icon{
        display: block;
    }
    .navbar{
        position: absolute;
        top: -600px;
        left: 0;
        right: 0;
        flex-direction: column;
        background: var(--color-primary);
        text-align: left;
        transition: all .40s;
    }
    .navbar a{
        display: block;
        padding: 16px;
        margin: 8px;
        color: #fff;
        border-left: 2px solid #fff;
    }
    .navbar.open {
        top: 100%;
    }

    .order-btn,
    .seeMore-btn {
        background-color: var(--color-primary);
    }

}